# $Revision: 1.7.2.1 $, $Date: 2007/02/28 22:19:09 $
%define	_lang	it
%define	_reg	IT
%define	_lare	%{_lang}-%{_reg}
Summary:	Italian resources for SeaMonkey
Summary(pl):	Woskie pliki jzykowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1.1
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	ccd9c25b3daccc910107ab6e015a7135
Source1:	http://www.mozilla-enigmail.org/downloads/lang/0.9x/enigmail-%{_lare}-0.9x.xpi
# Source1-md5:	e6c146cad34b111d1ea1602e06aed0d2
Source2:	gen-installed-chrome.sh
URL:		http://www.mozilla.org/projects/seamonkey/
BuildRequires:	unzip
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
Italian resources for SeaMonkey.

%description -l pl
Woskie pliki jzykowe dla SeaMonkeya.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale chrome/{%{_reg},%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar \
	> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install chrome/{%{_reg},%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}
cp -r defaults searchplugins $RPM_BUILD_ROOT%{_datadir}/seamonkey

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_reg}.jar
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt
%{_datadir}/seamonkey/defaults/profile/%{_lang}
%{_datadir}/seamonkey/searchplugins/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-it.spec,v $
Revision 1.7.2.1  2007/02/28 22:19:09  hawk
- updated to 1.1.1

Revision 1.7  2007/01/23 08:53:42  hawk
- updated to 1.1

Revision 1.6  2006/11/15 11:02:32  qboosh
- updated to 1.0.5

Revision 1.5  2006/07/31 16:22:42  sparky
- use macros

Revision 1.4  2006/04/21 06:23:16  qboosh
- pl fix

Revision 1.3  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.2  2006/04/17 17:44:40  sparky
- added enigmail translation

Revision 1.1  2006/04/16 19:53:05  sparky
- NEW, builds and works
